package com.aliyun.tablestore.grid.consts;

import com.alicloud.openservices.tablestore.model.search.FieldType;

import java.util.function.Consumer;

/**
 * @Author : shiyi
 * @Date : 2024/5/8 15:27
 * @Description : meta表属性枚举
 */
public enum AttributionEnum {
    //
    STATUS("status", "导入状态", FieldType.KEYWORD),
    CREATE_TIME("create_time", "创建时间", FieldType.LONG),
    REFERENCE_TIME("reference_time", "起报时间", FieldType.LONG),
    ;
    public String name;

    public String info;
    public FieldType type;
    public String getName() {
        return name;
    }

    public String getInfo() {
        return info;
    }

    public FieldType getType() {
        return type;
    }
    AttributionEnum(String name, String info, FieldType type) {
        this.name = name;
        this.info = info;
        this.type = type;
    }
}
