package com.htfp.weather.griddata.operation;

import com.alicloud.openservices.tablestore.model.TableOptions;
import com.htfp.weather.griddata.common.TableConfigStatic;

/**
 * @Author : shiyi
 * @Date : 2024/2/3 17:54
 * @Description :
 */
public class UpdateTable extends BaseTableOperation {

    private void update() throws Exception {
        TableOptions tableOptions = new TableOptions(TableConfigStatic.TIME_TO_LIVE);
        this.tableStoreGrid.updateStoreOption(tableOptions);
    }

    public static void main(String[] args) {
        TableConfigStatic.initDatasetConfig();
        UpdateTable example = new UpdateTable();
        try {
            example.update();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            example.close();
        }
    }
}
