package com.htfp.weather.web.param.hefeng;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/1/23 18:01
 * @Description : 和风天气预报响应
 */
@EqualsAndHashCode(callSuper = true)
@Data @JsonIgnoreProperties(value = {"fxLink", "refer"}, ignoreUnknown = true)
public class HeFengForecastResponse extends HeFengBaseResponse {

    List<HeFengForecastHour> hourly;

    @Data @EqualsAndHashCode(callSuper = true)
    public static class HeFengForecastHour extends BaseHeFengData {
        String fxTime; // 预报时间

    }
}
