package com.htfp.weather.web.config;

import com.htfp.weather.web.exception.AppException;
import com.htfp.weather.web.exception.ErrorCode;
import org.apache.commons.lang3.StringUtils;

public class Config {
    public static final String SECRET = "htfpweather";

    public static void validSecret(String secret) {
        if (StringUtils.isEmpty(secret) || !SECRET.equals(secret)) {
            throw new AppException(ErrorCode.SECRET_ERROR);
        }
    }
}
