package com.htfp.weather.web.valid;


import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;
import java.time.format.DateTimeFormatter;

/**
 * @Author : shiyi
 * @Date : 2024/5/10 17:39
 * @Description :
 */

@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = DateTimeValidator.class)
public @interface DateTimeStr {

    String message() default "{javax.validation.constraints.DateTimeStr.message}";


    String format() default "";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
