package com.htfp.weather.download;

import com.htfp.weather.download.gfs.GfsDataConfig;
import com.htfp.weather.download.gfs.GfsDownloader;
import org.junit.jupiter.api.Test;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/4/25 16:15
 * @Description :
 */
class GfsDownloaderTest {

    public static GfsDataConfig gfsDataConfig = new GfsDataConfig();
    static {
        gfsDataConfig.readConfig();
    }
    GfsDownloader gfsDownloader = new GfsDownloader(gfsDataConfig);


    @Test
    void iniTimeSetting() {
        gfsDownloader.iniTimeSetting();
    }

    @Test
    void download() {
        gfsDownloader.iniTimeSetting();
        List<DownLoadFileInfo> downLoadFileInfoList = gfsDownloader.getFilesInfo();
        gfsDownloader.download(downLoadFileInfoList.get(0));
    }

    @Test
    void downloadAll() {
        gfsDownloader.iniTimeSetting();
        List<DownLoadFileInfo> downLoadFileInfoList = gfsDownloader.getFilesInfo();
        gfsDownloader.downloadAll(downLoadFileInfoList);

    }

    @Test
    void getFilesInfo() {
        gfsDownloader.iniTimeSetting();
        List<DownLoadFileInfo> downLoadFileInfoList = gfsDownloader.getFilesInfo();
        for (DownLoadFileInfo downLoadFileInfo : downLoadFileInfoList) {
            System.out.println(downLoadFileInfo);
        }
    }

}